@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,300;0,400;1,700&family=Poppins:ital,wght@0,100;0,300;1,600&family=Raleway:wght@300;400;600;700&display=swap');


:root{
    --primary-color: #ff6b6b;
    --secondary-color: #794afa;
    --secondary-dark-color: #453c5c;

    --white-color:#fff;
    --light-bg-color:#f2f3f5;
    --ligt-text-color:#7c899a;
    --border-color:#e5e8ec;
    --dark-color:#0a021c;

    --font-small: 13px;
    --font-smaller: 11px;

    --percent100: 100%;
    --percent50: 50%;

    --fw3:300;
    --fw5:500;
    --fw6:600;
    --fw7:700;
    --fw8:800;

    --trans-background-color: background-color .3s , color .3s;
    --trans-background: background-color .3s;
    --trans-color: color .3s;
    
}

*,::before, ::after{
    box-sizing: border-box;
}

body{
    font-family: 'Rubik', sans-serif;
    font-size:16px;
    font-weight: 400;
    line-height: 1.4;
    color:var(--dark-color);
    background-color: var(--white-color);
}
a{
    text-decoration: none;
    color:inherit;
    -webkit-tap-highlight-color: transparent;
}
ul{
    list-style:none;
}
img{
    max-width: var(--percent100);
    vertical-align: middle;
}
strong{
    font-weight: var(--fw8);
}
table{
    border-collapse: collapse;
    border-spacing:0;
}
input::placeholder{
    font:inherit
}
img{
    max-width: var(--percent100);
    vertical-align: middle;
}
strong{
    font-weight: var(--fw8);
}
table{
    border-collapse: collapse;
    border-spacing:0;
}
input::placeholder{
    font:inherit;
}
h1,h2,h3,h4{
    font-family: 'Popins';
}
h1{
    font-size: calc(1.3em + 1vw);
    font-weight: var(--fw8);
    line-height: 1;
}
h2{
    font-size: 2.5em;
}
h3{
    font-size: 1.2em;
    font-weight: var(--fw7);
}
h4{
    font-size:1em;
    font-weight: var(--fw6);
}
/* reuseable selector */
.container{
    max-width: 1280px;
    margin:0 auto;
    padding:0 0.938em;
}
.column{
    margin-left:-0.938em;
    margin-right:-0.938em;
}
.column .row{
    padding: 0 0.938em;
}
.flexwrap{
    display: flex;
    flex-wrap: wrap;
}
.flexcenter{
    display: flex;
    align-items: center;
    justify-content: center;
}
.flexitem{
    display: flex;
    align-items: center;
}
.flexcol{
    display: flex;
    flex-direction: column;
    gap:1em;
}
.main-links a:hover{
    color: var(--secondary-color);
}
.second-links a:hover{
    color: var(--ligt-text-color);
}
.icon-smal, .icon-large{
    display: flex;
    align-items: center;
    padding:0 0.25rem;
    font-weight: normal;
}
.icon-small{
    font-size:1.25rem;
    margin-left:auto;
}
.icon-large{
    font-size:1.75rem;
    padding: 0 0.75em 0 0 ;
}
.mobile-hide{
    display: none;
}
.object-cover img{
    position:absolute;
    object-fit: cover;
    width:var(--percent100);
    height: var(--percent100);
    display: block;
}
.products .media{
    position:relative;
    flex-shrink: 0;
    overflow:hidden;
}

.primary-button, .secondary-button, .light-button{
    font-size: var(--font-small);
    padding:0.9em 2em;
    height: auto;
    /*  the box will use the available space, but never more than max-content */
    width:fit-content;
    border-radius: 2em;
    transition: var(--trans-background-color);
}
.primary-button{
    background-color: var(--primary-color);
    color:var(--white-color);
}
.primary-button:hover{
    background-color: var(--dark-color);
}
.secondary-button{
    background-color: var(--secondary-dark-color);
    color:var(--white-color);
}
.secondary-button:hover{
    background-color: var(--light-bg-color);
    color:var(--secondary-dark-color);
}
.light-button{
    background-color: var(--light-bg-color);
}
.light-button:hover{
    background-color: var(--secondary-dark-color);
    color:var(--white-color);
}
.view-all{
    font-size: var(--font-small);
    display: flex;
    gap:1em;
    transition:var(--trans-color);
}
.mini-text{
    font-size: var(--font-small);
    color:var(--ligt-text-color);
}

/* 
===================================
    0.1 Header
    ===============================
*/
:where(.off-canvas,header) li>a{
    display: flex;
    position: relative;
    line-height: inherit;
    transition: var(--trans-color);
}
/* header top */
.header-top .wrapper{
    font-size: var(--font-small);
    font-weight: var(--fw3);
    justify-content: space-between;
    line-height: 42px;
}
.header-top .wrapper ul{
    gap:2em;
}
.header-top li{
    position:relative;
}
.header-top ul ul{
    position: absolute;
    left:-1em;
    line-height: 2em;
    background-color: var(--white-color);
    border:1px solid var(--border-color);
    z-index:1;
    display: none;
}
:where(.header-top, .thetop-nav) .right ul ul li a{
    padding:0.25em 1em;
}
:where(.header-top, .thetop-nav) .right ul ul li.current a{
    background-color: var(--border-color);
}
.header-top li:hover ul{
    display: block;
}
/* Nav */
.header-nav{
    padding:0.5em 0;
    margin-bottom:1.5em;
    border-bottom: 1px solid var(--border-color);
}

.trigger{
    font-size:1.5rem;
    display: flex;
    padding:0.25em;
    margin-right:0.5em;
}
.logo a{
    font-family: 'Popins';
    font-size: 1.75rem;
    position:relative;
    font-weight: var(--fw8);
    display: flex;
    padding-left:0.75em;
    margin-right: 0.2em;
}
.circle{
    position:absolute;
    top:-15px;
    left:0;
    width:38px;
    height: 38px;
    border-radius: var(--percent50);
    background-color: var(--light-bg-color);
    z-index:-1;
}
.circle::before{
    content:'';
    position:absolute;
    width:28px;
    height: 28px;
    border-radius: var(--percent50);
    background-color: var(--secondary-color);
    bottom:5px;
    right:5px;
    opacity: 0.4;
}
.header-nav nav>ul{
    line-height: 100px;
    gap:2em;
}
 .fly-item{
    position: absolute;
    height: 16px;
    font-size: var(--font-small);
    padding:3px;
    text-align: center;
    line-height: 10px;
    color:var(--white-color);
 }
 nav .fly-item{
    top:50%;
    margin:-24px;
    width:30px;
    border-radius: 3px;
    right:-32px;
    background-color: var(--primary-color);
 }
 .header-nav .right{
    position:relative;
    margin-left:auto;
 }
.header-nav .right .icon-large{
    position:relative;
}
.header-nav .right .fly-item{
    top:0;
    right:16px;
    width:16px;
    background-color: var(--secondary-color);
    border-radius: var(--percent50);
}
.mega .flexcol{
    flex:1;
    min-width: 100px;
    padding-right: 2.5em;
    margin-bottom: 1.5em;
    z-index:1;
}

/* header */
.header-main{
    background-color: var(--secondary-dark-color);
    padding:1.5em 0;
    margin-bottom:2em;
}
.dpt-cat{
    position:relative;
    z-index:10;
}
.dpt-cat .dpt-head{
    position:relative;
    width:300px;
    padding:0.75em 1.5em;
    background-color: var(--primary-color);
    border-radius: 7px 7px 0 0;
    color:var(--white-color);
    margin-bottom: -2.15em;
}
.dpt-cat .dpt-head .mini-text{
    color:var(--light-bg-color);
}
.dpt-cat .dpt-trigger{
    position:absolute;
    right:0;
    top:0;
    padding:1.3em;
    height: 60px;
    width:60px;
}
.dpt-menu ul li a {
    font-size:var(--font-small);
    height: 46px;
    align-items: center;
}
.dpt-menu .has-child:hover ul{
    display: block;
}
.dpt-menu .has-child li a:hover{
    text-decoration: underline;
}

.header-main .right{
    flex:1;
}
form {
    position:relative;
}
form.search input{
    line-height: 3.25;
    padding:0 7em 0 4.5em;
    border:0;
    outline:0;
    width:var(--percent100);
    border-radius: 7px;
    font-size:0.9;
    font-weight: var(--fw3);
}
form.search :where(span,button){
    position:absolute;
    top:0;
    padding:0.55em;
    font-size: 1em;
    color:var(--line-text-color);
    height:var(--percent100);
}
form.search button{
    right:0;
    border:0;
    outline:0;
    font-size: 0.875em;
    font-weight: var(--fw6);
    background-color: var(--primary-color);
    color:var(--white-color);
    border-radius: 0 7px 7px 0;
    cursor:pointer;
    transition: var(--trans-background);
}
form.search button:hover{
    background-color: var(--dark-color);

}
/* header - responsive menu - off canvas */
.site-off{
    position: fixed;
    width:320px;
    height: var(--percent100);
    background-color: var(--white-color);
    overflow-y: auto;
    z-index: 1000;
}
.off-canvas{
    width:var(--percent100);
    height: var(--percent100);
    touch-action: auto;
    padding:1.5em;
}
.off-canvas .canvas-head{
    color:var(--white-color);
    justify-content: center;
    padding: 1.5em;
    margin:-1.5em -1.5em 1.5em;
    background-color: var(--secondary-dark-color);
    border-bottom-right-radius: 160px 25px;
}
.off-canvas .canvas-head .logo{
    z-index: 10;
    position: relative;
}
.off-canvas .canvas-head .logo .circle{
    opacity:.75;
}
.t-close{
    font-size: 1.25em;
    width:32px;
    height: 32px;
    border-radius: var(--percent50);
    background-color: var(--secondary-dark-color);
    color:var(--white-color);
    transition: var(--trans-background-color);
}
.t-close:hover{
    background-color: var(--white-color);
    color:var(--secondary-dark-color);
    opacity:.75;
}
.off-canvas .dpt-head{
    font-size: var(--font-small);
    padding:1em;
    margin-bottom: 1em;
    text-align: center;
    background-color: var(--light-bg-color);
    border-radius: 7px 7px 0 0;
}
.off-canvas .has-child > :where(ul, .mega){ 
    
    font-size: var(--font-small);
    font-weight: var(--fw3);
    line-height: 28px;
    padding-left:1.2em;

    height: auto;
    max-height: 0;
    overflow: hidden;
    transition: max-height .3s cubic-bezier(0.215, 0.610, 0.355,1);
}
.off-canvas .expand :where(ul, .mega){
    max-height: 2000px;

}

.off-canvas .thetop-nav ul, .off-canvas nav > ul{
    flex-direction: column;
    align-items: flex-start;
    font-size: var(--font-small);
    line-height: 36px;
    padding-top: 1.25em;
    margin:1.05em 0;
    border-bottom: 1px solid var(--border-color);
}
.off-canvas nav .mega{
    padding: 0;
}
.off-canvas nav .mega .products{
    display: none;
}
.off-canvas .has-child .icon-small{
    padding:0.5em;
    line-height: initial;
}
.off-canvas .dpt-menu .icon-small i{
    transform: rotate(90deg);
}
.off-canvas .has-child{
    width:var(--percent100);
}
.off-canvas .thetop-nav .right > ul > :where(:nth-child(4), li:nth-child(5)) > a{
    display: none;
}
.off-canvas .thetop-nav .right ul ul {
    display: flex;
    flex-direction: row;
}
.off-canvas .thetop-nav .right ul ul li a {
    padding:0.5em;
    border:1px solid var(--border-color);
    line-height: 16px;
    margin:0 0.5em 0.5em 0;
}
@media screen and (min-width:992px) {
    .container{
        padding:0 2em;
    }
    .desktop-hide{
        display: none;
    }
    .mobile-hide{
        display: block;
    }
    .log a{
        margin-right: 2em;
    }
    .header-nav{
        padding:0;
        margin:0;
        border-bottom: 0;
    }
    .border-nav .righ li>a{
        margin-left: 1em;
    }
    /* mega menu */
    nav .mega{
        position: absolute;
        width:var(--percent100);
        height: auto;
        top:auto;
        left:0;
        right: 0;
        padding:2.5em;
        line-height: 2em;
        background-color: var(--light-bg-color);
        box-shadow: rgb(0 0 0 /20%);
        z-index:100;
        /* just display in mobile */
        display: none;
    }
    nav li.has-child:hover .mega{
        display: block;
    }
    nav .mega .wrapper{
        display: flex;
    }
    nav .mega h4{
        font-size:0.8em;
        text-transform: uppercase;
    }
    nav .mega .women-brands{
        display: flex;
        flex-wrap: wrap;
        max-width: 180px;
    }
    nav .mega .women-brands li{
        min-width: 80px;
    }
    nav .mega .view-all{
        margin-top:1em;
    }
    nav .mega .products{
        flex:2;
        padding:0;
        align-items: center;
        position: relative;
    }
    nav .mega .products .row{
        width:var(--percent100);
    }
    nav .mega .products .media{
        height: 400px;
    }
    nav .mega .products .text-content{
        line-height: initial;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap:0.5m;
        position: absolute;
        bottom: 4em;
        width:var(--percent100);
    }
    nav .mega .products .text-content h4{
        font-size: 2em;
        font-weight: var(--fw8);
        text-align: center;
        color:var(--secondary-color);

    }
    .header-main .right{
        max-width: 600px;
        margin-left: auto;
    }
    .dpt-menu{
        position: absolute;
        top:var(--percent100);
        width: 300px;
        background-color: var(--white-color);
        border: 1px solid var(--border-color);
        border-top:0;
        border-bottom:0;
    }
    .dpt-menu ul li a {
        font-weight: var(--fw5);
        padding:0 1.5em;
        border-bottom: 1px solid var(--border-color);
    }
    .dpt-menu .has-child > ul, .dpt-menu .mega{
        position: absolute;
        top:0;
        left:var(--percent100);
        width: var(--percent100);
        height: auto;
        min-height: var(--percent100);
        padding: 1.5em;
        font-size:var(--font-small);
        line-height: 2.5em;
        border:1px solid var(--border-color);
        border-top:0;
        display: none;
        background-position: right bottom;
        background-repeat: no-repeat;
        background-size: auto;
    }
    .dpt-menu .has-child:nth-child(1) >ul {
        display: block;
    }
    .dpt-menu .beauty ul{
        background-image: url(assets/menu/menu_bgl.jpg);
    }
    .dpt-menu .electric ul{
        background-image: url(assets/menu/menu_bg2.jpg);
    }
    .dpt-menu .fashion ul{
        background-image: url(assets/menu/menu_bg3.jpg);
    }
    .dpt-menu .homekit ul{
        background-image: url(assets/menu/menu_bg4.jpg);
    }
    .dpt-menu .has-child >:where(ul.mega)::before{
        content:"";
        position:absolute;
        top:0;
        left:0;
        right:0;
        bottom:0;
        background-color: linear-gradient(90deg, rgba(255,255,255,1) 0%,rgba(0,0,0) 100%);
    }
    .dpt-menu .mega{
        width:auto;
        min-width: var(--percent100);
        display: flex;
    }
    .dpt-menu .has-child:hover .mega{
        display: flex;
    }

}
/* just to full this week */
/* وقتی دارم اینو می نویسم هنوز خستم. از صبح ساعت 9 که بیدار شدم راه افتادم سر کار و الان بعد از صحبت با خانواده دارم اینو می نویسم. کاملا بوی سرخ کردنی می دم و حجمی که امروز فروختم و تنها هم بودم چون همکارم کرونا گرفته بود باور نکردنی بود . ما سه شاسه کامل همبرگر زدیم با کلی استیک و .... خواستم اینو بنویسم برای اون روزی که به امروزم نگاه می کنم. اره تو از پس هر کاری بر میای. اره
تو زورمند تر از اینی که می بینی
اره 
تو غیرت داری 
اره 
من اون زندگی رو برای تو می بینم. زود تر از اونی که فکرشو بکنی میرسی بهش
اره 
تو قوی تر از اونی که فکرشو می کنی  */
/* ta 1:00.25 is this entertaining.... */
/* https://www.youtube.com/watch?v=qKoe69-xy4M */
/* https://www.rundfunkbeitrag.de/meldedaten/index_ger.html */
